### Function

# GObject signal_get_invocation_hint

#### Declaration

    GSignalInvocationHint*
    g_signal_get_invocation_hint (
      GObject* instance
    )

#### Description

Returns the invocation hint of the innermost signal emission of instance.

#### Parameters

`instance`

  Type: `GObject`

  The instance to query.

  The data is owned by the caller of the function.

#### Return value

Type: `GSignalInvocationHint`

The invocation hint of the innermost signal emission, or `NULL` if not found.

The data is owned by the called function.
The return value can be `NULL`.